package com.zayac.admin.system.model.resp;

import java.io.Serial;

import com.zayac.admin.common.enums.DisEnableStatusEnum;
import com.zayac.admin.system.enums.AccountTypeEnum;
import lombok.Data;

import io.swagger.v3.oas.annotations.media.Schema;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;

import top.continew.starter.extension.crud.model.resp.BaseDetailResp;

/**
 * 账号详情信息
 *
 * @author zayac
 * @since 2024/05/10 20:44
 */
@Data
@ExcelIgnoreUnannotated
@Schema(description = "账号详情信息")
public class AccountDetailResp extends BaseDetailResp {

    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * 账号昵称
     */
    @Schema(description = "账号昵称")
    @ExcelProperty(value = "账号昵称")
    private String nickname;

    /**
     * 账号
     */
    @Schema(description = "账号")
    @ExcelProperty(value = "账号")
    private String username;

    /**
     * 密码
     */
    @Schema(description = "密码")
    @ExcelProperty(value = "密码")
    private String password;

    /**
     * 账号类型(1:开云,2:华体会,3:九游,4:爱游戏)
     */
    @Schema(description = "账号类型(1:开云,2:华体会,3:九游,4:爱游戏)", type = "Integer", allowableValues = {"1", "2", "3", "4"}, example = "1")
    @ExcelProperty(value = "账号类型")
    private AccountTypeEnum type;

    /**
     * headers
     */
    @Schema(description = "headers")
    @ExcelProperty(value = "headers")
    private String headers;

    /**
     * 状态（1：启用；2：禁用)
     */
    @Schema(description = "状态（1：启用；2：禁用）", type = "Integer", allowableValues = {"1", "2"}, example = "1")
    @ExcelProperty(value = "状态（1：启用；2：禁用)")
    private DisEnableStatusEnum status;


    /**
     * 用户ID
     */
    @Schema(description = "用户ID")
    @ExcelProperty(value = "用户ID")
    private Long userId;
}